Информационная безопасность
[RU] switch to English


Дополнительная информация

  Cводка уязвимостей безопасности в Web-приложениях (PHP, ASP, JSP, CGI, Perl)

  Multiple XSS in eShop for Wordpress

  XWeavers (page.
asp?id) Remote SQL injection Vulnerability

  Synchrony Infotech (product_details.
php?id) Remote SQL injection Vulnerability

  Kimia Remote SQL injection Vulnerability

From:High-Tech Bridge Security Research <advisory_(at)_htbridge.ch>
Date:10 августа 2011 г.
Subject:SQL injection in Social Slider

Vulnerability ID: HTB23033
Reference: http://www.htbridge.ch/advisory/sql_injection_in_social_slider.html
Product: Social Slider
Vendor: Lukasz Wiecek  ( http://wiecek.pl )
Vulnerable Version: 5.6.2 and probably prior
Tested on: 5.6.2
Vendor Notification: 20 July 2011
Vulnerability Type: SQL Injection
Risk level: High
Credit: High-Tech Bridge SA Security Research Lab ( http://www.htbridge.ch/advisory/ )

Vulnerability Details:
High-Tech Bridge SA Security Research Lab has discovered vulnerability in Social Slider, which can be exploited to perform SQL injection attacks.

Input passed via the "rA" POST parameter to /wp-content/plugins/social-slider-2/ajax.php is not properly sanitised before being used in a SQL query.
This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The following PoC code is available:


<form action="http://[host]/wp-content/plugins/social-slider-2/ajax.php" method="post" name="main" >
<input name="action" value="ZapiszPozycje" type="hidden">
<input name="rA[]" value="SQL CODE HERE" type="hidden">
<input type="submit" value="submit" name="submit" />
</form>


О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород